Share via


Private Link Hubs - Update

Updates a privateLinkHub

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Synapse/privateLinkHubs/{privateLinkHubName}?api-version=2021-06-01

URI Parameters

Name In Required Type Description
privateLinkHubName
path True

string

Name of the privateLinkHub

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
tags

object

Resource tags

Responses

Name Type Description
200 OK

PrivateLinkHub

PrivateLinkHub resource details

201 Created

PrivateLinkHub

PrivateLinkHub resource details

Other Status Codes

ErrorResponse

*** Error Responses: ***

  • 400 BadRequest - Invalid request to create a PrivateLinkHub.

  • 500 InternalServerError- Some error occurred while creating PrivateLinkHub.

Examples

Update a privateLinkHub

Sample request

PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/resourceGroup1/providers/Microsoft.Synapse/privateLinkHubs/privateLinkHub1?api-version=2021-06-01

{
  "tags": {
    "key": "value"
  }
}

Sample response

{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/resourceGroup1/providers/Microsoft.Synapse/privateLinkHubs/privateLinkHub1",
  "name": "privateLinkHub1",
  "type": "Microsoft.Synapse/privateLinkHubs",
  "location": "East US",
  "properties": {
    "provisioningState": "Succeeded"
  },
  "tags": {
    "key": "value"
  }
}
{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/resourceGroup1/providers/Microsoft.Synapse/privateLinkHubs/privateLinkHub1",
  "name": "privateLinkHub1",
  "type": "Microsoft.Synapse/privateLinkHubs",
  "location": "East US",
  "properties": {
    "provisioningState": "Succeeded"
  },
  "tags": {
    "key": "value"
  }
}
{
  "error": {
    "code": "Error code",
    "message": "Error message"
  }
}

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

PrivateEndpoint

Private endpoint details

PrivateEndpointConnectionForPrivateLinkHubBasic

Private Endpoint Connection For Private Link Hub - Basic

PrivateLinkHub

A privateLinkHub

PrivateLinkHubPatchInfo

PrivateLinkHub patch details

PrivateLinkServiceConnectionState

Connection state details of the private endpoint

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

PrivateEndpoint

Private endpoint details

Name Type Description
id

string

Resource id of the private endpoint.

PrivateEndpointConnectionForPrivateLinkHubBasic

Private Endpoint Connection For Private Link Hub - Basic

Name Type Description
id

string

identifier

properties.privateEndpoint

PrivateEndpoint

The private endpoint which the connection belongs to.

properties.privateLinkServiceConnectionState

PrivateLinkServiceConnectionState

Connection state of the private endpoint connection.

properties.provisioningState

string

Provisioning state of the private endpoint connection.

PrivateLinkHub

A privateLinkHub

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.privateEndpointConnections

PrivateEndpointConnectionForPrivateLinkHubBasic[]

List of private endpoint connections

properties.provisioningState

string

PrivateLinkHub provisioning state

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

PrivateLinkHubPatchInfo

PrivateLinkHub patch details

Name Type Description
tags

object

Resource tags

PrivateLinkServiceConnectionState

Connection state details of the private endpoint

Name Type Description
actionsRequired

string

The actions required for private link service connection.

description

string

The private link service connection description.

status

string

The private link service connection status.